LAST, LASTB(1)

NOM
last, lastb - Afficher une liste des derniers utilisateurs connectés

SYNOPSIS
last [options] [identifiant ...] [tty ...]
lastb [options] [identifiant ...] [tty ...]

DESCRIPTION
last parcourt le fichier /var/log/wtmp (ou le fichier indiqué par l'option -f) pour présenter une liste de toutes les connexions et déconnexions des utilisateurs, depuis la création du fichier. Un ou plusieurs identifiants et terminaux (tty) peuvent être indiqués, afin que last ne montre que les connexions et déconnexions correspondant à ces arguments. Le nom des terminaux peut être abrégé, ainsi last 0 est équivalent à last tty0.

À la réception d’un signal SIGINT (engendré par la touche d'interruption, généralement Contrôle-C) ou un signal SIGQUIT, last indiquera le point où il est arrivé dans le fichier, et dans le cas de SIGINT, last se terminera.

Le pseudo-utilisateur reboot est enregistré à chaque redémarrage du système, ainsi last reboot affichera une liste de tous les redémarrages depuis la création du fichier de journalisation.

lastb se comporte comme last, mais il utilise le fichier /var/log/btmp qui journalise toutes les tentatives infructueuses de connexion.

OPTIONS

-a, --hostlast
    Afficher le nom d'hôte en dernière colonne. Principalement utile en combinaison avec l'option --dns.

-d, --dns
    Pour les connexions non locales, Linux enregistre le nom d'hôte, ainsi que son adresse IP. Avec cette option, l'adresse IP est à nouveau reconvertie en nom d'hôte.

-f, --file fichier
    Indiquer à last d’utiliser le fichier indiqué au lieu de /var/log/wtmp. L’option --file peut être indiquée plusieurs fois, et tous les fichiers concernés seront traités.

-F, --fulltimes
    Afficher l'ensemble des dates et heures de connexion et de déconnexion.

-i, --ip
    Comme --dns, mais afficher l’adresse IP de l’hôte au lieu du nom.

-nombre
-n, --limit nombre
    Indiquer à last le nombre de lignes d'enregistrement à afficher.

-p, --present date
    Afficher les utilisateurs présents à la date indiquée. C’est équivalent à l’utilisation des options --since et --until ensemble avec la même date.

-R, --nohostname
    Ne pas afficher le champ hostname.

-s, --since date
    Afficher l'état des connexions depuis la date donnée. C'est utile, par exemple, pour déterminer facilement qui était connecté à cet instant. L’option est souvent combinée avec --until.

-t, --until date
    Afficher l’état des connexions jusqu’à la date indiquée.

--time-format format
    Définir le format d’affichage de l’horodatage à la valeur notime, short, full ou iso. La variante notime n’affichera pas d’horodatage du tout, short est la valeur par défaut et full est identique à l’option --fulltimes. La variante iso affichera l’horodatage au format ISO 8601. Le format ISO contient l’indication de fuseau horaire, ce qui est préférable lorsque la sortie est étudiée hors du système.

-w, --fullnames
    Afficher les noms d'utilisateur et de domaine complets sur la sortie.

-x, --system
    Afficher les arrêts du système et les modifications de niveau d'exécution (run level).

FORMATS DE DATE
Les options acceptant l’argument date permettent d’utiliser les formats suivants :
AAAAMMJJhhmmss
AAAA-MM-JJ hh:mm:ss
AAAA-MM-JJ hh:mm | (les secondes sont définies à 00)
AAAA-MM-JJ | (l’heure est définie à 00:00:00)
hh:mm:ss | (la date est définie à aujourd’hui)
hh:mm | (la date est définie à aujourd’hui,
 | les secondes à 00)
now [maintenant]
yesterday [hier] | (l’heure est définie à 00:00:00)
today [aujourd’hui] | (l’heure est définie à 00:00:00)
tomorrow [demain] | (l’heure est définie à 00:00:00)
+5min [dans cinq minutes]
-5days [il y a cinq jours]

NOTES
Les fichiers wtmp et btmp sont parfois absents. Le système ne journalise les informations que si les fichiers sont déjà présents, mais ne les crée pas de lui-même. Il s'agit d'un choix local de configuration. Si vous désirez utiliser ces journalisations, vous pouvez créer les fichiers avec une simple commande touch (par exemple, touch /var/log/wtmp).

FICHIERS
/var/log/wtmp
/var/log/btmp

AUTEUR
Miquel van Smoorenburg (miquels@cistron.nl)

DISPONIBILITÉ
La commande last fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

VOIR AUSSI
login(1), init(8), shutdown(8)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.